# -*- coding: utf-8 -*-
#$Id: ATCTSSTestCase.py 55 2006-02-22 16:44:01Z taka $

#
# ATCTSSTestCase test setup
#

from Products.PloneTestCase import PloneTestCase

PRODUCTS = ['Archetypes', 'ATContentTypes', 'ATCTSmallSample']

PloneTestCase.installProduct('ATCTSmallSample')
PloneTestCase.setupPloneSite(products=PRODUCTS)


class ATCTSSTestCase(PloneTestCase.PloneTestCase):

    defaultTitle = 'Default Testing Title'

    def afterSetUp(self):
        self._createSmallContent(self.folder)

    def _createSmallContent(self, folder, id='small', title=defaultTitle):
        """Creates and returns a refence to a SmallContent.
        This method publishes a SmallContent instance under folder.  It fills in
        all of the standard properties."""
        folder.invokeFactory('SmallContent',
                             id=id,
                             title=title,
                             description='A SmallContent instance for unit tests.',
                            )
        small = getattr(folder, id)
        self.portal.portal_workflow.doActionFor(small, 'submit')
        return small

    def uninstallProduct(self, product_name):
        # Removes a product
        tool = getattr(self.portal, 'portal_quickinstaller')
        if tool.isProductInstalled(product_name):
            tool.uninstallProducts([product_name])

