# -*- coding: utf-8 -*-
#$Id: testSmallContent.py 59 2006-02-23 05:25:01Z taka $

#
# ATCTSmallSample SmallContent tests
#

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase
from Products.ATCTSmallSample.tests.ATCTSSTestCase import ATCTSSTestCase


class TestSmallContent(ATCTSSTestCase):

    def test_SmallContent_IInlineObjectInterface(self):
        """IInlineObjectが実装されているかチェック"""
        small = getattr(self.folder, 'small')
        from Products.COREBlog2.interfaces.IInlineObject import IInlineObject
        self.failUnless(IInlineObject.isImplementedBy(small))

    def test_SmallContent_IInlineObjectImprement(self):
        """IInlineObjectの実装をチェック"""
        small = getattr(self.folder, 'small')
        self.assertEqual(True, small.isInlineObject())
        self.assertEqual(None, small.getAttachmentView())

        """getInlineViewの結果からskinにアクセスできるか"""
        macros = small.getInlineView()
        self.assertEqual(2, len(macros))
        pt = getattr(self.portal, macros[0])
        self.failUnless(pt)

        """PageTemplate内にmacro名があるか"""
        self.failUnless(macros[1] in pt.pt_macros().keys())



def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestSmallContent))
    return suite

if __name__ == '__main__':
    framework()
